Contents

# SYD Function [VBA]

Returns the arithmetic-declining depreciation rate.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    SYD (Cost as Double, Salvage as Double, Life as Double, Period as Double)

### Return value:

Double

### Parameters:

Cost is the initial cost of an asset.

Náhrada je hodnota aktíva na konci odpisu.

Life is the depreciation period determining the number of periods in the depreciation of the asset.

Period is the period number for which you want to calculate the depreciation.

### Error codes:

5 Neplatné volanie procedúry

### Example:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExampleSYD
    REM Calculate the yearly depreciation of an asset that cost $10,000 at
    REM the start of year 1, and has a salvage value of $1,000 after 5 years.
    Dim syd_yr1 As Double
    REM Calculate the depreciation during year 1.
    syd_yr1 = SYD( 10000, 1000, 5, 1 )
    print syd_yr1 ' syd_yr1 is now equal to 3000.
    End Sub

Related Topics

SYD function in CALC

VBA financial functions